@echo off
:: Version of this batch file: v1.0b Modificada por jpap para eol
:: Thanks to spinal for the FFmpeg command line parameters!
pushd %~dp0
set closewindow=N
if [%1]==[] goto nofile
if not exist %1 goto notfound
if not exist ffmpeg.exe goto noffmpeg
set input=%1
set output=%~dpn1
goto selectformat
:nofile
echo Archivo de Video no especificado, EJ. "3d video.mp4" sin comillas.
goto finish
:notfound
echo No se encuentra archivo de video EJ. "3d video.mp4" sin comillas.
goto finish
:noffmpeg
echo No se encuentra FFmpeg.exe.
goto finish
:selectformat
echo Elige formato de video:
echo 1. 2D (Hasta 2hs 50min)
echo 2. 3D (top-bottom) (Hasta 2hs 50min)
echo 3. 3D (side-by-side) (Hasta 2hs 50min)
set /p choice=?
if [%choice%]==[] goto selectformat
echo %choice%|findstr /r "[^0-9]"
if %errorlevel% equ 0 goto selectformat
if %choice% lss 1 goto selectformat
if %choice% gtr 3 goto selectformat
:selectvol
echo Volumen? (256 = Normal 256-512)
set /p vol=?
if [%vol%]==[] goto selectvol
:selectquality
echo Calidad? (1 = Muy Alta, 31 = Muy Baja)
set /p quality=?
if [%quality%]==[] goto selectquality
echo %quality%|findstr /r "[^0-9]"
if %errorlevel% equ 0 goto selectquality
if %quality% lss 1 goto selectquality
if %quality% gtr 31 goto selectquality
:closewindow
echo Cerrar ventana al terminar? (Y/N)
set /p closewindow=?
if "%closewindow%"=="y" set closewindow=Y
if "%closewindow%"=="n" set closewindow=N
if "%closewindow%"=="Y" goto process
if "%closewindow%"=="N" goto process
goto closewindow
:process
if %choice%==1 goto 2d
if %choice%==2 goto topbottom
if %choice%==3 goto sidebyside
:2d
ffmpeg -i %input% -s 400x240 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %quality% -acodec adpcm_ima_wav -ac 2 -async 50 -vol %vol% "%output%_2d.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 00:00:00 -t 00:09:59 "%output%_01.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 00:09:59 -t 00:09:59 "%output%_02.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 00:19:58 -t 00:09:59 "%output%_03.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 00:29:57 -t 00:09:59 "%output%_04.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 00:39:56 -t 00:09:59 "%output%_05.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 00:49:55 -t 00:09:59 "%output%_06.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 00:59:54 -t 00:09:59 "%output%_07.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 01:09:53 -t 00:09:59 "%output%_08.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 01:19:52 -t 00:09:59 "%output%_09.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 01:29:51 -t 00:09:59 "%output%_10.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 01:39:50 -t 00:09:59 "%output%_11.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 01:49:49 -t 00:09:59 "%output%_12.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 01:59:48 -t 00:09:59 "%output%_13.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 02:09:47 -t 00:09:59 "%output%_14.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 02:19:46 -t 00:09:59 "%output%_15.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 02:29:45 -t 00:09:59 "%output%_16.avi"
ffmpeg -y -i "%output%_2d.avi" -vcodec copy -acodec copy -ss 02:39:44 -t 00:09:59 "%output%_17.avi"
del "%output%_2d.avi"
goto finish
:topbottom
ffmpeg -y -i %input% -s 480x480 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %quality% -vf crop=480:240:0:0 -acodec libmp3lame -ar 41000 -ab 96k -ac 2 -async 50 -vol %vol% "%output%_l.tmp.avi"
ffmpeg -y -i %input% -s 480x480 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %quality% -vf crop=480:240:0:240 -an "%output%_r.tmp.avi"
goto mergelr
:sidebyside
ffmpeg -y -i %input% -s 960x240 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %quality% -vf crop=480:240:0:0 -acodec libmp3lame -ar 41000 -ab 96k -ac 2 -async 50 -vol %vol% "%output%_l.tmp.avi"
ffmpeg -y -i %input% -s 960x240 -aspect 2:1 -r 20 -vcodec mjpeg -qscale %quality% -vf crop=480:240:480:0 -an "%output%_r.tmp.avi"
goto mergelr
:mergelr
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 00:00:00 -t 00:09:59 "l_01.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 00:09:59 -t 00:09:59 "l_02.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 00:19:58 -t 00:09:59 "l_03.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 00:29:57 -t 00:09:59 "l_04.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 00:39:56 -t 00:09:59 "l_05.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 00:49:55 -t 00:09:59 "l_06.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 00:59:54 -t 00:09:59 "l_07.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 01:09:53 -t 00:09:59 "l_08.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 01:19:52 -t 00:09:59 "l_09.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 01:29:51 -t 00:09:59 "l_10.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 01:39:50 -t 00:09:59 "l_11.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 01:49:49 -t 00:09:59 "l_12.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 01:59:48 -t 00:09:59 "l_13.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 02:09:47 -t 00:09:59 "l_14.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 02:19:46 -t 00:09:59 "l_15.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 02:29:45 -t 00:09:59 "l_16.avi"
ffmpeg -y -i "%output%_l.tmp.avi" -vcodec copy -acodec copy -ss 02:39:44 -t 00:09:59 "l_17.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 00:00:00 -t 00:09:59 "r_01.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 00:09:59 -t 00:09:59 "r_02.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 00:19:58 -t 00:09:59 "r_03.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 00:29:57 -t 00:09:59 "r_04.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 00:39:56 -t 00:09:59 "r_05.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 00:49:55 -t 00:09:59 "r_06.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 00:59:54 -t 00:09:59 "r_07.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 01:09:53 -t 00:09:59 "r_08.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 01:19:52 -t 00:09:59 "r_09.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 01:29:51 -t 00:09:59 "r_10.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 01:39:50 -t 00:09:59 "r_11.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 01:49:49 -t 00:09:59 "r_12.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 01:59:48 -t 00:09:59 "r_13.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 02:09:47 -t 00:09:59 "r_14.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 02:19:46 -t 00:09:59 "r_15.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 02:29:45 -t 00:09:59 "r_16.avi"
ffmpeg -y -i "%output%_r.tmp.avi" -vcodec copy -acodec copy -ss 02:39:44 -t 00:09:59 "r_17.avi"
ffmpeg -y -i "l_01.avi" -i "r_01.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_01.avi"
ffmpeg -y -i "l_02.avi" -i "r_02.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_02.avi"
ffmpeg -y -i "l_03.avi" -i "r_03.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_03.avi"
ffmpeg -y -i "l_04.avi" -i "r_04.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_04.avi"
ffmpeg -y -i "l_05.avi" -i "r_05.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_05.avi"
ffmpeg -y -i "l_06.avi" -i "r_06.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_06.avi"
ffmpeg -y -i "l_07.avi" -i "r_07.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_07.avi"
ffmpeg -y -i "l_08.avi" -i "r_08.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_08.avi"
ffmpeg -y -i "l_09.avi" -i "r_09.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_09.avi"
ffmpeg -y -i "l_10.avi" -i "r_10.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_10.avi"
ffmpeg -y -i "l_11.avi" -i "r_11.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_11.avi"
ffmpeg -y -i "l_12.avi" -i "r_12.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_12.avi"
ffmpeg -y -i "l_13.avi" -i "r_13.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_13.avi"
ffmpeg -y -i "l_14.avi" -i "r_14.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_14.avi"
ffmpeg -y -i "l_15.avi" -i "r_15.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_15.avi"
ffmpeg -y -i "l_16.avi" -i "r_16.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_16.avi"
ffmpeg -y -i "l_17.avi" -i "r_17.avi" -vcodec copy -acodec adpcm_ima_wav -ac 2 -vcodec copy -map 0:0 -map 0:1 -map 1:0 "%output%_17.avi"
del "%output%_l.tmp.avi"
del "%output%_r.tmp.avi"
del l_01.avi
del l_02.avi
del l_03.avi
del l_04.avi
del l_05.avi
del l_06.avi
del l_07.avi
del l_08.avi
del l_09.avi
del l_10.avi
del l_11.avi
del l_12.avi
del l_13.avi
del l_14.avi
del l_15.avi
del l_16.avi
del l_17.avi
del r_01.avi
del r_02.avi
del r_03.avi
del r_04.avi
del r_05.avi
del r_06.avi
del r_07.avi
del r_08.avi
del r_09.avi
del r_10.avi
del r_11.avi
del r_12.avi
del r_13.avi
del r_14.avi
del r_15.avi
del r_16.avi
del r_17.avi
echo Listo!.
goto finish
:finish
popd %~dp0
if %closewindow%==N pause
exit